2

Unfortunately I need to install and use IE...I'm using that guide given here. But from terminal when I try so launch using ./ies4linux I always obtain this error:

The program 'ies4linux-gtk.py' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 6659 error_code 143 request_code 139 minor_code 10)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Can someone help me? Thanks!!

Used ./ies4linux --no-gui

IEs4Linux 2 is developed to be used with recent Wine versions (0.9.x). It seems that you are using an old version. It's recommended that you update your wine to the latest version (Go to: winehq.com).

IEs4Linux will:
  - Install Internet Explorers: 6.0
  - Using IE locale: EN-US
  - Install Adobe Flash 9.0
  - Install everything at: /home/giovanni/.ies4linux
[ OK ]

Downloading everything we need
  Downloading from microsoft.com:
   DCOM98.EXE
   0%   mfc42.cab   249973USA8.exe
   ADVAUTH.CAB
   CRLUPD.CAB
   HHUPD.CAB
   IEDOM.CAB
   IE_EXTRA.CAB
   IE_S1.CAB
   IE_S2.CAB
   IE_S5.CAB
   IE_S4.CAB
   IE_S3.CAB
   IE_S6.CAB
   SETUPW95.CAB
   FONTCORE.CAB
   FONTSUP.CAB
   VGX.CAB
   SCR56EN.CAB

  Downloading from macromedia.com:
   swflash.cab
[ OK ]

Installing IE 6
  Initializing
  Creating Wine Prefix
  Extracting CAB files
  Installing IE 6
  Installing DCOM98
  Installing TTF Fonts
  Installing ActiveX MFC42
/home/giovanni/.ies4linux/downloads/mfc42.cab: No such file or directory
An error occured when trying to cabextract some files.

Doing

wget -q "http://deb.playonlinux.com/public.gpg" -O- | sudo apt-key add -
sudo wget http://deb.playonlinux.com/playonlinux_precise.list -O /etc/apt/sources.list.d/playonlinux.list

sudo apt-get update && sudo apt-get install playonlinux

I get again

giovanni@giovanni-X551CAP:~$ cd ies4linux-*
giovanni@giovanni-X551CAP:~/ies4linux-2.99.0.1$ ./ies4linuxIEs4Linux 2 is developed to be used with recent Wine versions (0.9.x). It seems that you are using an old version. It's recommended that you update your wine to the latest version (Go to: winehq.com).

The program 'ies4linux-gtk.py' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 2720 error_code 143 request_code 139 minor_code 10)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I Changed link as says in the comment "Line 75 of install.sh from the latest package reads:

download http://activex.microsoft.com/controls/vc/mfc42.cab

The server answers with:

Access Denied You don't have permission to access "http://activex.microsoft.com/controls/vc/mfc42.cab" on this server.

Reference #18.ecdd4e17.1453232252.16053044 If you have the file or can find it somewhere else just replace the URL and it should be able to continue the installation."


But now i have....

IEs4Linux 2 is developed to be used with recent Wine versions (0.9.x). It seems that you are using an old version. It's recommended that you update your wine to the latest version (Go to: winehq.com).

The program 'ies4linux-gtk.py' received an X Window System error. This probably reflects a bug in the program. The error was 'RenderBadPicture (invalid Picture parameter)'. (Details: serial 2920 error_code 143 request_code 139 minor_code 6) (Note to programmers: normally, X errors are reported asynchronously; that is, you will receive the error a while after causing it. To debug your program, run it with the --sync command line option to change this behavior. You can then get a meaningful backtrace from your debugger if you break on the gdk_x_error() function.)

  • 2
    Let me ask you why are you trying to install Internet Explorer? – Eduardo Cola Jan 19 '16 at 18:02
  • I need for use a site develop with silverlight, now i'm using pipelight. but using Chorme or mozilla the site did not work, so I need internet explorer :/ – Giovanni Giampaolo Jan 19 '16 at 18:04
  • Did you look for help with Chrome or Firefox to your case? – Eduardo Cola Jan 19 '16 at 18:05
  • 1
    Try logging in with Ubuntu Classic (No effects) at GDM login screen or run ./ies4linux --no-gui – bain Jan 19 '16 at 18:23
  • 1
    I doubt want you want will work as well as you expect. For things like this I would advice virtualization (vm ware or vbox). – Rinzwind Jan 19 '16 at 18:51
3

Issue: Unable to download mfc42.cab

Line 75 of install.sh from the latest package reads:

    download http://activex.microsoft.com/controls/vc/mfc42.cab

The server answers with:

Access Denied

You don't have permission to access "http://activex.microsoft.com/controls/vc/mfc42.cab" on this server.

Reference #18.ecdd4e17.1453232252.16053044

If you have the file or can find it somewhere else just replace the URL and it should be able to continue the installation. The author was clever and provided hashes for the files in the file files:

mfc42.cab   632755  fbe551338463f13c6a5e215db55ac21b

Issue: Warning about an old Wine version

The Warning message about the Wine version is in line 36 of functions.sh:

wine --version 2>&1  | grep -q "0.9." || warning $MSG_WARNING_OLDWINE

Look for MSG_WARNING_OLDWINE in your localization like enUS.sh and you will find the warning message again. The code checks for a version number starting with 0.9 as you can see. The author apparently never updated the package when Wine finally made the 1.0 release happen. You can safely ignore the content of the warning message, but be aware that you are using old software.

Alternatives

How to install Internet Explorer (multiple versions)?

2

Install IE versions through PlayOnLinux

Update your PlayOnLinux in Ubuntu according to https://www.playonlinux.com/en/download.html

wget -q "http://deb.playonlinux.com/public.gpg" -O- | sudo apt-key add -
sudo wget http://deb.playonlinux.com/playonlinux_trusty.list -O /etc/apt/sources.list.d/playonlinux.list
sudo apt-get update
sudo apt-get install playonlinux

Wine will now get automatically updated. Open PlayOnLinux and install IE6/IE7/IE8 as described in this answer.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.